unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, ExtCtrls, TeeProcs, Chart, TeeOpenGL, Series, TeeTools,
  TeeComma, TeeSurfa, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Panel1: TPanel;
    TeeCommander1: TTeeCommander;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  tmpX, tmpY: Integer;
  iLeft, iTop : Integer;
begin
  Label1.Caption := 'X-Pos='+IntToStr(X)+' Y-Pos='+IntToStr(Y);

  tmpX:=Round(Chart1[0].CalcXPos(0));
  tmpY:=Round(Chart1[0].CalcYPos(0));
  Chart1.Canvas.Calculate2DPosition(tmpX, tmpY, Chart1[0].MiddleZ);

  Label2.Caption := 'Left='+IntToStr(tmpX)+' Top='+IntToStr(Chart1.ClientRect.Top - tmpY);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  with TTeeOpenGL.Create(self) do
  begin
    TeePanel:=Chart1;
    Active:=true;
  end;

  Chart1.Aspect.Orthogonal:=false;
  Chart1.Aspect.Zoom:=50;
  Chart1.Aspect.Rotation:=345;
  Chart1.Legend.Visible:=false;

  with Chart1.AddSeries(TSurfaceSeries) as TSurfaceSeries do
  begin
    FillSampleValues(10);
  end;

  Chart1.Draw;
end;

end.
